import { Component } from '@angular/core';

@Component({
  selector: 'app-tab2',
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss']
  
})
export class Tab2Page {
  selectedSegment: string = 'company';
  company = {
    name: '公司名称',
    starRating: 4.5,
    reviewCount: 100,
    description: '公司简介',
    services: '公司服务内容',
    advantages: '公司优势内容',
    cases: '公司案例内容'
  };
  organization = {
    name: '机构名称',
    starRating: 4.3,
    reviewCount: 80,
    description: '机构简介',
    services: '机构服务内容',
    advantages: '机构优势内容',
    cases: '机构案例内容'
  };
  designer = {
    name: '设计师姓名',
    avatar: 'assets/designer-avatar.jpg',
    specialty: '设计师专长',
    style: '设计风格',
    serviceArea: '服务地区',
    price: '设计师价格',
    rating: '用户评价',
    // 其他设计师信息
  };

  constructor() {}

  segmentChanged(event: CustomEvent) {
    this.selectedSegment = event.detail.value;
  }
}
